package ru.nbch.credit_tracker.entities.external_response.online_report;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;

import java.util.ArrayList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
        "reports"
})
public class Reports {

    @XmlElement(name = "Report", required = true)
    protected List<Report> reports;

    public List<Report> getReports() {
        if (reports == null) {
            reports = new ArrayList<>();
        }
        return this.reports;
    }

}
